body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    width: 100%;
    background-color: #fffff;
    display: flex;
    flex-direction: column;
}

.lido {
    color: #ff892b ; /* Lido en noir */
    font-weight: bold;
    
}

.select {
    color: #ff892b; /* Select en bleu */
    font-weight: bold;
}



header {
    background-color: black;
    opacity: 0.9;
    color: white;
    padding: 10px 0;
    text-align: center;
}

header nav ul {
    list-style-type: none;
    padding: 0;
}

header nav ul li {
    display: inline-block;
    margin: 0 5px;
}

header nav ul li a {
    font-size: 16px;
    color: white;
    text-decoration: none;
    font-weight: bold;
}

.container {
    padding: 5px;
    width: calc(100%-10px);
    align-item: center;
}

section {
    background-color: white;
    margin: 10px 0;
    padding: 5px;
    width: calc(100%-30px);
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.button {
    background-color: #4CAF50;
    color: white;
    padding: 10px 20px;
    margin: 10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    text-align: center;
}

.button:hover {
    background-color: #45a049;
}

.product-list {
    display: flex;
    flex-direction: row; /* Afficher les éléments en ligne */
    flex-wrap: normal ; /* Empêcher le retour à la ligne */
    gap: 10px; /* Espacement entre les éléments */
    overflow-x: auto; /* Permet le défilement horizontal */
    padding: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    white-space: normal ; /* Empêche le retour à la ligne du contenu */
}

/* Éléments à l'intérieur de product-list */
.product-item {
    background-color: #f9f9f9;
    padding: 10px;
    padding-top: 10px;
    margin-top:5px;
    border-radius: 5px;
    flex: 0 0 90%; /* Assure que chaque élément prend 90% de la largeur de l'écran */
    max-width: 90%; /* Empêche les éléments d’être trop larges */
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    word-wrap: break-word;
    overflow-wrap: break-word;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
 box-sizing: border-box;   
 border-radius: 10px;
}

.order-item, 
.user-item {
    background-color: #f9f9f9;
    padding: 10px;
    padding-top: 10px;
    margin-top:5px;
    border-radius: 5px;
    flex: 0 0 calc(100%-20px); /* Assure que chaque élément prend 90% de la largeur de l'écran */
    max-width: calc(100%-20px); /* Empêche les éléments d’être trop larges */
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    word-wrap: break-word;
    overflow-wrap: break-word;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
 box-sizing: border-box;   
 border-radius: 10px;
}

.product-item h3, .order-item h3, .user-item h3 {
    margin: 0;
    font-size: 18px;
}

.product-item button, .order-item button, .user-item button {
    background-color: #f44336;
    color: white;
    padding: 5px 10px;
    border: none;
    border-radius: 3px;
    cursor: pointer;
}

.product-item button:hover, .order-item button:hover, .user-item button:hover {
    background-color: #d32f2f;
}

#product-form {
    margin-top: 20px;
    background-color: #e0f7fa;
    padding: 15px;
    border-radius: 8px;
    text-align: center;
}

input, select {
    width: calc(100% - 20px);
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #ddd;
}

textarea {
    width: calc(100% - 20px);
    height: 500px;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #ddd;
}

input[type="submit"] {
    background-color: #2196F3;
    color: white;
    cursor: pointer;
}

input[type="submit"]:hover {
    background-color: #1976D2;
}

/* Gestion des images */
.product-item img {
    width: 100%;
    height: auto;
    display: block;
    margin-top: 10px;
    border-radius: 5px;
    padding: 10px;
}

/* Galerie de produits */
.product-gallery {
    display: flex;
    gap: 10px;
    overflow-x: auto;
    padding: 10px;
    text-align: center;
}

.product-gallery img {
    width: 90%;
    height: auto;
    object-fit: cover;
    border-radius: 5px;
    border: 1px solid #ddd;
    padding: 20px 10px;
}

/* Gestion des vidéos */
.product-videos {
    margin-top: 10px;
    text-align: center;
    padding: 10px;
}

.product-videos video {
    width: 100%;
    display: block;
    border-radius: 10px;
    padding: 5px;
}

button {
    padding: 10px 15px;
    border: none;
    cursor: pointer;
    font-size: 18px;
    border-radius: 5px;
    transition: 0.3s;
    text-align: center;
}

button:hover {
    opacity: 0.8;
}

button.modifier {
    background-color: #007bff; /* Bleu */
    color: white;
}

button.supprimer {
    background-color: #dc3545; /* Rouge */
    color: white;
    margin-top:10px;
}

/* Gestion des prix */
.prix {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-top: 10px;
}

.prix-original {
    text-decoration: line-through;
    color: red;
    font-size: 18px;
}

.prix-actuel {
    color: green;
    font-size: 20px;
    font-weight: bold;
}




#touslesdetails {
  margin: 10px auto;     /* centre horizontalement */
  padding: 3px;
  border: 1px solid #fffff;
  border-radius: 12px;
  background: #fffff;
  max-width: 500px;      /* largeur max sur PC */
  width: 100%;           /* occupe toute la largeur sur mobile */
  box-sizing: border-box;/* pour inclure les bordures dans la largeur */
}


